FORUMS
Remove All Ads from XDA

[HOW TO] Upgrading to WM6 - A checklist of how it works

74 posts
Thanks Meter: 12
 
By ridingshark, Member on 30th January 2008, 01:16 PM
Thread Deleted Email Thread
Hello everybody.

I had installed "TouchFLO Charmer WM6_GER ver. 2.8 BETA by mschmitz" over an WM5 T-Mobile MDA compact II (Charmer) and everything worked great.
see link: http://forum.xda-developers.com/showthread.php?t=331142

Now i cooked my own ROM (Charmer WM6) with some improvements and correct working German Input methods.
see Link: http://forum.xda-developers.com/show...53#post2075053

As there are several "how-to" here but all are spread around this forum, i will try to give a checklist how you probably not kill your device.
Print this checklist and search the forum for the how-to's.

Prerequisitions:
If something goes wrong, be sure to have a ROM of your Phoneprovider (e.g. T-Mobile WM 5 AKU 2.2 for a T-Mobile device).
If you sdo not have an original ROM, you can use this one to flash back to WM5 (i used this, do not worry that it is english): http://www.tm-phonedownloads.com/fil...ileUK_Ship.exe

Backup your data! All will be lost after upgrading, or if anything goes wrong. You can use Sprite Backup (the only tool that allows upgrading from different WM versions - eg. from WM5 to WM6 - but you wil loose SMS. Use PPCPIMBackup Freeware to backup SMS).
Always use the corrrect ROM (do not use e.g. a MDA III ROM on an MDA II)

I also recommend to delete your Active Sync Partnership after upgrade (Active Sync/File/Delete Mobile Device) and let Active Sync setup a new one (otherwise you may have problems with File sync, sometimes an error pops up).
If you have problems to sync with outlook, it might be a problem with the restored data of SPRITE BACKUP as WM5 has a different database than WM6.
In case you geet an error "Error 8007000e" or similar do the following:
1) Hard Reset
2) Do NOT connect to Active Sync !!!
3) Restore your personal data (If you use Sprite backup select Merge, Level 1 but do NOT select "Migration Data" whern you get the filetree)
4) On your PocketPC start the program "Active Sync" (still NOT connected to PC)!
5) Go to Menu/Options and DELETE the partnership (e.g. "Windows PC").
All Syncroniced data will be deleted on the PocketPC (Contacts, Appointments, etc..), but they are still available in OUTLOOK on your PC.
6) Thereafter delete your Partnership also on the PC (Active Sync - File/elete Mobile Device).
7) Now connect your PocketPC to the Desktop PC and the Outlook data will be syncronized again without error.

You can try to start at point 4) maybe you do not need a hardreset/backup again, try....
After upgrading you should always delete the partnerships....
-------------------------------------------------------------------------------------------

Now the upgrading steps. Make sure to check them all!

1) Unlock your device (CID and SIM). You have to CID unlock your device, or otherwise you cannot install a ROM that is e.g. not T-Mobile on an T-Mobile MDA.

How?
First of all you have to check what device (G3 or G4) and what Bootloaderversion (IPL/SPL) 1.x or > 2.x you have.
SOFT reset your device and note the red numbers that come.

If you have something like

IPL: 1.12 (or 1.12.000)
SPL 1.12.0000

you have an G3 device.

If IPL or SPL ends with 1 (e.g. 1.12.0001), you have an G4 device.
(0 is G3, 1 is G4)

Now check the first number.
1.12.xx is an Bootloader version 1 and 2.12.xx is 2, and so on.

I had an G3/Bootloader V1.x device, so I CANNOT say if it works for other devices.

For a G3 device you have to use Lockiwiz2b to SIM/CID unlock your device (http://forum.xda-developers.com/showthread.php?t=249474).
For a G4 device you have to use Lockiwiz3 to SIM/CID unlock (dont know if it works)
Its easier to unlock an 1.xx. device, so unlock before upgrading (even with an official ROM)
You will NOT loose your data as no HARD reset is necessary. Lockiwiz will not harm your system (if you do the right thing).

2) Now that you have CID unlocked your device, check your Bootloader Version. WM6 can only be installed with an V2 Bootloader (IPL/SPL 2.x.xxx) or higher!!.
So if you have e.g. IPL/SPL 1.12.xx, you first have to upgrade your device with a more recent WM5. I installed T-Mobile WM5 AKU 2.2 and thereafter i had 2.20.xx

3) WM6 cannot be installed over WM6 !!!
If you allready have a WM6 on your Charmer, DOWNGRADE to WM5, thereafter install the new or updated WM6!

4) Install ROM and enjoy.


If soething went wrong, you can save your device by going to Bootloader mode (push and hold camera button and reset with stylus. When you see the 3 colored Screen, release Camera Button. Then you are in bootloader mode and you can flash the original ROM vie your PC and ActiveSync (thats why you should have a WM5 ROM by the hand)


Summary:

1) Check what device you have (G3/G4)
2) Check what Bootloader Version you have (1.xx.xx or > 2.xx.xx)
3) Unlock CID (and SIM) with Lockiwiz02 (G3) or Lockiwiz03 (G4)

If this did not work, STOP here and forget it, nothing is lost until here! If your device is not CID unlocked you will kill your device with a "non vendor" ROM

4) If your bootloader (IPL/SIP) is 1.xx.xx, first upgrade to 2.xx.xx via an official WM5 ROM upgrade (or check XDA-Developers ROMs), otherwise device is dead
5) If you allready have an WM6 on your device, downgrade to WM5 first!
6) Install WM6 and enjoy.

Regards
Ridingshark
 
 
30th January 2008, 05:43 PM |#2  
vlodeck's Avatar
Retired Moderator
Flag classified
Thanks Meter: 2
 
More
You dont need to CID unlock the device to upgrade to WM6. In fact, CID unlocking works only on 1.xx bootloader, and once you've bought a device with 2.xx, you can't go back.

That's why, instead of cid unlocking, you can just use NO_ID RUU, which bypasses checking the VendorID in the flashing process. You can find it here: http://www.windowsceportal.hu/tartal...adeut_noid.zip


Other than that, its a great thread. Making it sticky.
31st January 2008, 04:16 AM |#3  
Member
Thanks Meter: 0
 
More
"WM6 can only be installed with an V2 Bootloader (IPL/SPL 2.x.xxx)!!."
Add: WM6 can be installed with an V3 Bootloader (IPL/SPL 3.x.xxx also
31st January 2008, 10:21 AM |#4  
ridingshark's Avatar
OP Member
Flag Vienna
Thanks Meter: 12
 
More
Quote:
Originally Posted by tuecan

"WM6 can only be installed with an V2 Bootloader (IPL/SPL 2.x.xxx)!!."
Add: WM6 can be installed with an V3 Bootloader (IPL/SPL 3.x.xxx also

Thanks, i changed it to V2.xx or higher (thats what i meant).
Tahnks also to vlodeck for the hind how to with V2.xx devices.
As i said, i can only tell you how it worked for me (Version 1.xx)

Regards R
9th February 2008, 05:09 PM |#5  
Junior Member
Thanks Meter: 0
 
More
Where can I find Lockiwiz3 to download?
10th February 2008, 12:21 PM |#6  
vlodeck's Avatar
Retired Moderator
Flag classified
Thanks Meter: 2
 
More
I recommend lokiwiz2b instead of 3.

http://forum.xda-developers.com/showthread.php?t=249474
15th February 2008, 02:17 PM |#7  
Senior Member
Thanks Meter: 1
 
More
A FAQ for flashing vlodeck´s ROM, can you Download here

It is in English and German language with pictures
23rd February 2008, 07:47 PM |#8  
mistermish2000's Avatar
Member
Flag Krefeld, NRW, Germany
Thanks Meter: 14
 
More
Question Can I Upgrade My BenQ P50 which is based on WM2003 to WM5/6?
Can I Upgrade My BenQ P50 which is based on WM2003 to WM5/6?

Can Anybody help out me with this fact or give me some information you know.plz.......
4th March 2008, 09:13 PM |#9  
Junior Member
Thanks Meter: 0
 
More
Quote:
Originally Posted by vlodeck

You dont need to CID unlock the device to upgrade to WM6. In fact, CID unlocking works only on 1.xx bootloader, and once you've bought a device with 2.xx, you can't go back.

That's why, instead of cid unlocking, you can just use NO_ID RUU, which bypasses checking the VendorID in the flashing process. You can find it here: http://www.windowsceportal.hu/tartal...adeut_noid.zip


Other than that, its a great thread. Making it sticky.

I would like to do it this way but I don't know how get nk.nbf for Charmer_Touch_ver._2.1 . Any help? Thank you in advance...
18th March 2008, 05:29 PM |#10  
Junior Member
Thanks Meter: 0
 
More
Your thread is very nice and help me a lot
Can you help me to upgrade bootloader from 1 to 2
Thank you very match in advance...
1st April 2008, 07:39 AM |#11  
ridingshark's Avatar
OP Member
Flag Vienna
Thanks Meter: 12
 
More
Quote:
Originally Posted by amoor1

Your thread is very nice and help me a lot
Can you help me to upgrade bootloader from 1 to 2
Thank you very match in advance...

Hello amoor.
I also had Bootloader version 1 and simply used the official AKU 2.0 upgrade from T-Mobile from their homepage.
Thereafter it was Bootloader Version 2.
If you do not have an original ROM, you can use this WM5 (Do not worry that it is in english): http://www.tm-phonedownloads.com/fil...ileUK_Ship.exe.
Thereafter you can upgrade to WM6.
Regards R
Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes